body {
    /* Basic colors were the two below (blue from Windows95 and Silver) */
    /* background: linear-gradient(14deg, rgba(57, 110, 167, 0.3) 0%, rgba(192, 192, 192, 0.3) 100%); */
    /* If the transparency is removed, following colors are produced: */
    background: linear-gradient(14deg, #c5d4e5, #eaebec);
    /* Gradient would be repeated or cut when scrolling, not stretched without this hack */
    /* This seems to talk about the topic https://css-tricks.com/the-fixed-background-attachment-hack */
    background-attachment: fixed;
}

/*
Max width of the whole web-content is changed.
Yii has limit of 1320px which was too narrow for my only-desktop usage.
*/
.container {
    max-width: 95% !important;
}

/* If a form-field has an error, it should be highlighted */
form div.has-error div.help-block {
    color: #dc3545;
}

/* Style for tables and GridView */

table td,
table th,
table thead tr:not([class]),
table thead tr.filters {
    border: none;
}

table th:not([class]),
table td:not([class]),
table td.handleCol, /* handleCol = the row can be dragged in order to be sorted. See app\widgets\GridView.php */
table th.action-column {
    /* Defining transparent background to all TD and TH that do not have any class */
    /* And to the action-column header */
    background-color: transparent !important;
}

table {
    box-shadow: silver 0px 0px 1rem .1rem;
    border-radius: 1rem;
}

table tbody tr td:last-child a {
    margin: 0px 0.3rem;
}

table thead tr:first-child th:first-child {
    border-top-left-radius: 1rem;
}

table thead tr:first-child th:last-child {
    border-top-right-radius: 1rem;
}

table tbody tr:last-child td:first-child {
    border-bottom-left-radius: 1rem;
}

table tbody tr:last-child td:last-child {
    border-bottom-right-radius: 1rem;
}

table tbody tr:last-child td {
    border-style: none;
}

table tbody tr:last-child {
    border-bottom-style: none;
}

table thead a {
    text-decoration: none;
    color: rgb(33, 37, 41);
}

table thead tr:first-child th {
    border-style: none;
}

td.table-danger {
    border-bottom-color: rgb(222, 226, 230);
}

td div.empty {
    color: #c55;
    font-style: italic;
    text-align: center !important;
}

/* Style for the Pager under the GridView */

ul.pagination {
    display: flex;
    justify-content: center;
}

ul.pagination li.page-item a {
    color: black;
}

ul.pagination li.page-item.active a {
    color: white;
}